# dask.dataframe.rolling.Rolling.max

Rolling.max()

  Calculate the rolling maximum.

  This docstring was copied from pandas.core.window.rolling.Rolling.max.

  Some inconsistencies with the Dask version may exist.

  Parameters:
    numeric_only bool, default False (Not supported in Dask)

      Include only float, int, boolean columns.

      Added in version 1.5.0.

    engine str, default None (Not supported in Dask)

      - `'cython'` : Runs the operation through C-extensions from cython.

      - `'numba'` : Runs the operation through JIT compiled code from numba.

      - `None` : Defaults to `'cython'` or globally setting `compute.use_numba`

        Added in version 1.3.0.

    engine_kwargs dict, default None (Not supported in Dask)

      - For `'cython'` engine, there are no accepted `engine_kwargs`

      - For `'numba'` engine, the engine can accept `nopython`, `nogil` and `parallel` dictionary keys. The values must either be `True` or `False`. The default `engine_kwargs` for the `'numba'` engine is `{'nopython': True, 'nogil': False, 'parallel': False}`

        Added in version 1.3.0.

  Returns:
    Series or DataFrame

      Return type is the same as the original object with `np.float64` dtype.

  See also

  `pandas.Series.rolling`

    Calling rolling with Series data.

  `pandas.DataFrame.rolling`

    Calling rolling with DataFrames.

  `pandas.Series.max`

    Aggregating max for Series.

  `pandas.DataFrame.max`

    Aggregating max for DataFrame.

  Notes

  See Numba engine and Numba (JIT compilation) for extended documentation and performance considerations for the Numba engine.

  Examples

      >>> ser = pd.Series([1, 2, 3, 4])
      >>> ser.rolling(2).max()
      0    NaN
      1    2.0
      2    3.0
      3    4.0
      dtype: float64